curl -X DELETE "https://api.fitsociety.io/public/v1/conversations/<conversationId>/messages/<messageId>?conversationType=group&senderCoachId=66f7b8b1e13c8d25f4d3d90b" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: conversation-message-delete-001"const options = {
method: 'DELETE',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fitsociety.io/public/v1/conversations/{conversationId}/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/conversations/{conversationId}/messages/{messageId}"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"message": {
"messageId": "66f7b8b1e13c8d25f4d3d90a",
"conversationId": "66f7b8b1e13c8d25f4d3d90a",
"conversationType": "direct",
"sender": {
"userId": "66f7b8b1e13c8d25f4d3d90a",
"role": "Coach",
"name": "Example name"
},
"type": "text",
"text": "string",
"hasMedia": true,
"fileName": "Example name",
"sentAt": "2026-07-14T10:00:00.000Z",
"editedAt": "2026-07-14T10:00:00.000Z",
"isDeleted": true
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Delete conversation message
Requires conversation_messages:write. Soft-deletes a message sent by the requesting coach within the existing chat edit window.
curl -X DELETE "https://api.fitsociety.io/public/v1/conversations/<conversationId>/messages/<messageId>?conversationType=group&senderCoachId=66f7b8b1e13c8d25f4d3d90b" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: conversation-message-delete-001"const options = {
method: 'DELETE',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fitsociety.io/public/v1/conversations/{conversationId}/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/conversations/{conversationId}/messages/{messageId}"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"message": {
"messageId": "66f7b8b1e13c8d25f4d3d90a",
"conversationId": "66f7b8b1e13c8d25f4d3d90a",
"conversationType": "direct",
"sender": {
"userId": "66f7b8b1e13c8d25f4d3d90a",
"role": "Coach",
"name": "Example name"
},
"type": "text",
"text": "string",
"hasMedia": true,
"fileName": "Example name",
"sentAt": "2026-07-14T10:00:00.000Z",
"editedAt": "2026-07-14T10:00:00.000Z",
"isDeleted": true
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
1 - 200"booking-create-20260714-001"
Path Parameters
"66f7b8b1e13c8d25f4d3d90a"
"66f7b8b1e13c8d25f4d3d90a"
Query Parameters
Optional storage type hint. Use direct or group when the ID is known.
direct, group Requesting coach ID that originally sent the message. Other-coach delegation is not enabled.
"66f7b8b1e13c8d25f4d3d90b"